<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [ 
<!ENTITY nbsp   "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" version="1.0" encoding="iso-8859-1"
            indent="yes"
            media-type="text/xml"/>


<xsl:template match="/">
  <xsl:apply-templates/>
</xsl:template>

<!-- node()|text() should be equivalent to node() but xsltproc is buggy in
     this respect -->
<xsl:template match="node()|text()" mode="copy" priority="-1">
  <xsl:copy>
    <xsl:apply-templates mode="copy"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="shortref|shortrefcopy" mode="copy">
  <xsl:apply-templates mode="copy"/>
</xsl:template>

<xsl:template match="shortref|shortrefcopy">
  <xsl:apply-templates mode="copy"/>
</xsl:template>

<!-- The following tags are always copied to the output with all their
     descendants -->
<xsl:template match="head" priority="-1">
  <xsl:copy>
    <xsl:apply-templates mode="copy"/>
  </xsl:copy>
</xsl:template>


<!-- Most other tags are copied to the output if they have a shortref or
     shortrefcopy descendant. Children are not automatically copied. -->
<xsl:template match="node()|text()" priority="-2">
  <xsl:if test="descendant::shortref|descendant::shortrefcopy">
    <xsl:copy>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:if>  
</xsl:template>



<!-- Headers need special treatment. -->
<xsl:template match="h1|h2|h3|h4|h5|h6">
  <xsl:variable name="level" select="number(substring(local-name(),2))"/>
  <xsl:variable name="pos" select="1+count((preceding::h1|preceding::h2|preceding::h3|preceding::h4|preceding::h5|preceding::h6)[number(substring(local-name(),2))&lt;=$level])"/>
  <xsl:if test="(following::shortref|following::shortrefcopy)[$pos=count((preceding::h1|preceding::h2|preceding::h3|preceding::h4|preceding::h5|preceding::h6)[number(substring(local-name(),2))&lt;=$level])]">
    <xsl:copy>
      <xsl:apply-templates mode="copy"/>
    </xsl:copy>
  </xsl:if>
</xsl:template>


<!-- controls-list/control and menu-description/name are copied if the
     parent has a shortref(copy) descendant -->
<xsl:template match="controls-list/item/control|menu-description/item/name">
  <xsl:if test="parent::item/descendant::shortref|parent::item/descendant::shortrefcopy">
    <xsl:copy>
      <xsl:apply-templates mode="copy"/>
    </xsl:copy>
  </xsl:if>  
</xsl:template>


</xsl:stylesheet>


